## kn

kn manages Knative Serving and Eventing resources

### Synopsis

kn is the command line interface for managing Knative Serving and Eventing resources

Find more information about Knative at: https://knative.dev

### Options

```
      --as string              username to impersonate for the operation
      --as-group stringArray   group to impersonate for the operation, this flag can be repeated to specify multiple groups
      --as-uid string          uid to impersonate for the operation
      --cluster string         name of the kubeconfig cluster to use
      --config string          kn configuration file (default: ~/.config/kn/config.yaml)
      --context string         name of the kubeconfig context to use
  -h, --help                   help for kn
      --kubeconfig string      kubectl configuration file (default: ~/.kube/config)
      --log-http               log http traffic
```

### SEE ALSO

* [kn broker](kn_broker.md)	 - Manage message brokers
* [kn channel](kn_channel.md)	 - Manage event channels
* [kn completion](kn_completion.md)	 - Output shell completion code
* [kn container](kn_container.md)	 - Manage service's containers (experimental)
* [kn domain](kn_domain.md)	 - Manage domain mappings
* [kn eventtype](kn_eventtype.md)	 - Manage eventtypes
* [kn options](kn_options.md)	 - Print the list of flags inherited by all commands
* [kn plugin](kn_plugin.md)	 - Manage kn plugins
* [kn revision](kn_revision.md)	 - Manage service revisions
* [kn route](kn_route.md)	 - List and describe service routes
* [kn secret](kn_secret.md)	 - Manage secrets
* [kn service](kn_service.md)	 - Manage Knative services
* [kn source](kn_source.md)	 - Manage event sources
* [kn subscription](kn_subscription.md)	 - Manage event subscriptions
* [kn trigger](kn_trigger.md)	 - Manage event triggers
* [kn version](kn_version.md)	 - Show the version of this client

